//
//  HomeRouter.swift
//  UpaxMovie
//
//  Created Imo on 29/02/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import UIKit

class HomeRouter: HomeWireframeProtocol {
    
    weak var viewController: UIViewController?

    static func createModule() -> UIViewController {
        let view = HomeViewController()
        let interactor = HomeInteractor()
        let router = HomeRouter()
        let presenter = HomePresenter(interface: view, interactor: interactor, router: router)

        view.presenter = presenter
        interactor.presenter = presenter
        router.viewController = view

        return view
    }
    
    func goDetail(_ item: Movie) {
        guard let detailVC = HomeDetailRouter.createModule() as? HomeDetailViewController else { return }
        detailVC.item = item
        viewController?.navigationController?.pushViewController(detailVC, animated: true)
    }
    
    func showDialog(_ item: Movie) {
        guard let favVC = FavRouter.createModule() as? FavViewController else { return }
        favVC.item = item
        favVC.modalPresentationStyle = .overCurrentContext
        viewController?.present(favVC, animated: true)
    }
}
